#ifndef R3_MY_GRAPHICS_H
#define R3_MY_GRAPHICS_H

#include "R3Graphics/R3Graphics.h"

class R2MyImage;
class R2MyTexture;
class R3MyMaterial;
class R3MyModel;
class PointCloud;
class PointCloudProperty;
class PointCloudPropertySet;
class DeformableCylinder;
class Voxelization;

#include "R3MyGraphics/R2MyImage.h"
#include "R3MyGraphics/R2MyTexture.h"
#include "R3MyGraphics/R3MyMaterial.h"
#include "R3MyGraphics/R3MyModel.h"
#include "R3MyGraphics/PointCloud.h"
#include "R3MyGraphics/PointCloudPropertySet.h"
#include "R3MyGraphics/DeformableCylinder.h"
#include "R3MyGraphics/Voxelization.h"

#endif