#ifndef MY_UTILS_H__
#define MY_UTILS_H__
// mesa rendering
#ifdef MESA_RENDERING
#include <GL/osmesa.h>
#include <GL/glu.h>
// apple without mesa rendering
#elif defined __APPLE__
//#include <GLUT/glut.h>
#include <GL/freeglut.h>
// linux without mesa rendering
#else
#define GL_GLEXT_PROTOTYPES
#include <GL/glut.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glext.h>
//#include <GL/glcorearb.h>
#endif
#include <vector>
#include <string>
#include <sstream>
#include <fstream>
#include <sys/types.h>
#include <sys/stat.h>
#include <dirent.h>
#include "R3Graphics/R3Graphics.h"

#include "Utils/TypeUtil.h"
#include "Utils/StringUtil.h"
#include "Utils/FileSystemUtil.h"
#include "Utils/FileUtil.h"
#include "Utils/ColorUtil.h"
#include "Utils/MathUtil.h"
#include "Utils/GLUTUtil.h"
#endif
