# -*- coding: utf-8 -*-
import sys
import ConfigParser

def drawProgressBar(percent, barLen = 20):
    sys.stdout.write("\r")
    progress = ""
    for i in range(barLen):
        if i < int(barLen * percent):
            progress += "="
        else:
            progress += " "
    sys.stdout.write("[ %s ] %.2f%%" % (progress, percent * 100))
    sys.stdout.flush()

def modify_configuration(config, modification):
    count = 0
    while count < len(modification):
        section = modification[count]
        count = count + 1
        if count >= len(modification) or section[0] != '-':
            print 'modify_configuration unable to parse %s'%(' '.join(modification))
            return
        # remove '-'
        section = section[1:]
        option = modification[count]
        count = count + 1
        if count >= len(modification):
            print 'modify_configuration unable to parse %s'%(' '.join(modification))
            return
        value = modification[count]
        count = count + 1
        config.set(section, option, value)

